/* eslint-disable react/prop-types */
import React, { useState } from 'react'

import TextField from '@material-ui/core/TextField'
import Autocomplete from '@material-ui/lab/Autocomplete'


export default function MCF_Autocomplete (props) {
  const [params, setParams] = useState(props.params)

  const handleChange = (event, newValue) => {
    setParams({...params, value: newValue})

    if (params.onChangeListener) {
      params.onChangeListener(newValue)
    }
  }

  return (
    <Autocomplete
      id={params.id}
      value={params.value}
      style={{width: params.width}}
      options={params.options}
      getOptionLabel={option => option.key}
      onChange={handleChange}
      renderInput={parameters => <TextField
        {...parameters}
        label={params.label}
        variant={params.variant}  // 'filled' | 'outlined' | 'standard'
        margin={params.margin} // 'dense' | 'none' | 'normal'
      />}
    />
  )
}
