/* eslint-disable react/prop-types */
import React, {useState} from 'react'

import {useStyles} from '../index'

import Card from '@material-ui/core/Card'
import CardContent from '@material-ui/core/CardContent'
import CardHeader from '@material-ui/core/CardHeader'
import CardMedia from '@material-ui/core/CardMedia'

import ComponentFactory from '../ComponentFactory'


export default function MCF_MediaCard (props) {
  const [params, setParams] = useState(props.params)
  const classes = useStyles()

  const renderContents = () => {
    return params.contents.map(contentConfig => {
      contentConfig.params.parentKey = params.key
      return ComponentFactory.createComponent(contentConfig)
    })
  }

  return (
    <Card className={classes.card}>
      <CardHeader
        title={params.mainText}
        subheader={params.secondaryText}
      />
      <CardMedia
        className={classes.media}
        image={params.imageURL}
        title={params.imageTitle}
        alt={params.imageAlt}
      />
      <CardContent>
        {renderContents()}
      </CardContent>
    </Card>
  )
}
