import ReactDOM from 'react-dom'

import ComponentFactory from './ComponentFactory'

import {makeStyles} from '@material-ui/core/styles'


const useStyles = makeStyles(theme => ({
  button: {
    margin: theme.spacing(1),
  },
  card: {
    minWidth: 200,
    display: 'inline-block',
  },
  divider: {
    height: theme.spacing(2),
  },
  extendedIcon: {
    marginRight: theme.spacing(1),
  },
  fab: {
    margin: theme.spacing(1),
  },
  formControl: {
    margin: theme.spacing(),
    minWidth: 120,
  },
  gridList: {
    width: 500,
    height: 450,

  },
  input: {
    display: 'none',
    // display: 'flex',
    // padding: 0,
  },
  leftIcon: {
    marginRight: theme.spacing(1),
  },
  media: {
    height: 0,
    paddingTop: '56.25%', // 16:9
  },
  noOptionsMessage: {
    padding: `${theme.spacing(1)}px ${theme.spacing(2)}px`,
  },
  paper: {
    position: 'absolute',
    zIndex: 1,
    marginTop: theme.spacing(1),
    left: 0,
    right: 0,
  },
  placeholder: {
    position: 'absolute',
    left: 2,
    fontSize: 16,
  },
  pos: {
    marginBottom: 12,
  },
  rightIcon: {
    marginLeft: theme.spacing(1),
  },
  root: {
    flexGrow: 1,
    height: 310,
  },
  selectEmpty: {
    marginTop: theme.spacing(2),
  },
  singleValue: {
    fontSize: 16,
  },
  textField: {
    marginLeft: 8,
    marginRight: 8,
  },
  title: {
    fontSize: 14,
  },
  valueContainer: {
    display: 'flex',
    flexWrap: 'wrap',
    flex: 1,
    alignItems: 'center',
    overflow: 'hidden',
  },
}))


function MCF_render(schemeToRender, referenceSelector) {
  ReactDOM.render(
    ComponentFactory.createComponent(schemeToRender),
    document.getElementById(referenceSelector),
  )
}

function MCF_remove(referenceSelector){
  ReactDOM.unmountComponentAtNode(document.getElementById(referenceSelector))
}


export {
  useStyles,
  MCF_render as render,
  MCF_remove as remove,
}
